onscreen keyboard appears whenever i touch touchscreen

Bug #1723857 reported by tom on 2017-10-16
508
This bug affects 114 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Fix Released
Medium
gnome-shell (Ubuntu)
High
Unassigned
Artful
High
Unassigned

Bug Description

Impact
======
I'm in 17.10. Whenever I touch the touchscreen, the keyboard appears. It is disabled in System Preferences > Universal Access. This didn't happen in any previous Ubuntus, including 17.04 GNOME, nor in Fedora, which is GNOME based.

Test Case
=========
0. Find a laptop with a touch screen that works.
1. Settings > Universal Access > Typing > Screen Keyboard = OFF
2. Touch the screen.

Regression Potential
====================

Workaround
==========
https://extensions.gnome.org/extension/1326/block-caribou/

Arnaud Buy (asnod) wrote :

It seems that the on-screen keyboard is automatically enabled if you use a touchscreen : https://help.gnome.org/users/gnome-help/stable/keyboard-osk.html.en

then the bug is more specifically

 "enabled" != "force shown every single time user touches and not
disable-able"

in all other senses of the word, enabled suggest the keyboard setting would
be toggled "on" in universal access by default in touchscreen machines.

put another way, "onscreen keyboard not disable-able on touchscreen
devices".

any ideas why I wasn't plagued by this bug on 17.04gnome nor the latest
fedora (gnome by default) with the same touchscreen device? im pretty sure
fedoras gnome is up to date.

Arnaud Buy (asnod) wrote :

on my setup with ubuntu 17.10, the default gnome screen keyboard, a touchscreen and without enabling screen keyboard in universal access => the screen keyboard disappears as soon as i handle a mouse. Did you use onboard or the default screen keyboard ?

tom (tombuntus) wrote :

I use default. It's not OK to require a person to wiggle a mouse or
touchpad whenever they want to touch their screen, for example scrolling,
changing windows, pausing/playing a video, etc.

Arnaud Buy (asnod) wrote :

Yes we agree !

Ubuntu GNOME 17.04 includes GNOME 3.24 : https://ubuntugnome.org/ubuntu-gnome-17-04-released/
It seems that Fedora includes GNOME 3.24 too : https://fedoraproject.org/wiki/Changes/GNOME3.24
Ubuntu 17.10 ships with a 3.26.1 version.

Did you see this bug on Gnome ? : https://bugzilla.gnome.org/show_bug.cgi?id=788188

tom (tombuntus) wrote :

I'm afraid you're right that I'd been on 3.24, and this is a 3.26
regression bug.

I hadn't seen that bug on gnome bugzilla, but now following the rabbit hole
of that family of bugs.

Some people have put up with a variation of this same problem since 2015!
https://bugzilla.gnome.org/show_bug.cgi?id=742246

Changed in gnome-desktop:
importance: Unknown → Medium
status: Unknown → Confirmed
tom (tombuntus) on 2017-10-19
affects: onboard (Ubuntu) → ubuntu
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in caribou (Ubuntu):
status: New → Confirmed
Changed in gnome-desktop (Ubuntu):
status: New → Confirmed
Changed in ubuntu:
status: New → Confirmed
Paul Payne (payneio) wrote :

Disabling caribou in system startup doesn't help.

tom (tombuntus) wrote :

I confirm that disabling caribou in system startup doesn't remedy this, though on my system it changes the appearance of keyboard from tiny keyboard in only bottom left of screen to full-width-of-screen keyboard across the entire bottom of screen.

tom (tombuntus) wrote :

In the meantime, here's a GNOME extension to bitchslap Caribou off your screen: https://extensions.gnome.org/extension/1326/block-caribou/

Paul Payne (payneio) wrote :

@tombuntus FTW!

Sameer (electrosam) wrote :

@keringar Thanks a lot for the extension! Its a lifesaver until this bug is fixed.
Verified working with GNOME 3.26.1

Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1721315, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

tom (tombuntus) wrote :

It really isn't a duplicate.

#1 that talks about first touches AFTER stylus or keyboard. This bug doesn't.

#2 that was in X11, this is Wayland.

Iff you update that bug in both of these ways, then this is a duplicate.

Otherwise, no.

tom (tombuntus) wrote :

You also need to copy the WHOLE bug from bugzilla. Don't leave people hanging like that. There are patches and important comments in the bugzilla bug. Only the first paragraph report was copied into https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1721315.

Daniel van Vugt (vanvugt) wrote :

Well I experience the same issue without using a stylus or keyboard and I was tracking bug 1721315. The pre-conditions may be unimportant so let's assume it's the same bug. If it's not then please clarify in the description here how this one is different.

As for X11 vs Wayland, for high-level behaviour like whether something is displayed at all, those should always be the same for both X11 and Wayland. So that distinction should be irrelevant until proven otherwise.

It's also not necessary to copy the entire contents from an upstream bug. Although for some bug trackers LaunchPad will do it automatically.

Bug 1721315 is also older than this one, which is preferred when deduplicating bugs.

tom (tombuntus) wrote :

Who cares that that bug is a few days older? It's lower-quality, doesn't even copy the bugzilla bug completely, and lacks the partial solutions that this bug has. Keep this one the primary, and mark that one a duplicate.

"It's also not necessary to copy the entire contents from an upstream bug."

No, but it's the decent thing to do. People sent to that bug won't get the extension. Its text is clearly less matching to peoples' searches as this one. Stick with the higher-quality bug that people use more.

tom (tombuntus) wrote :

That bug doesn't even include the correct packages.

tom (tombuntus) wrote :

This bug got a fire of 52 in less than half the time as that one got 32.

Tristram Oaten (0atman) wrote :

I think I have a theory about this bug: It's caused by the swipe-up-from-bottom-screen-edge gesture that is configured to show caribou.
I think that the cursor is swept off the screen to the bottom when you change input devices (touch/pen/mouse), and when you re-enable them by pressing or tapping the screen, it counts as this gesture.

Is there a way to disable this swipe-up gesture to test?

tom (tombuntus) wrote :

@Tristram Very interesting theory!

nicholas5 (nick-fellows) wrote :

+1 for me Dell XPS 15 (9530) on 17.10

Jeremy Bicha (jbicha) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. This particular bug has already been reported and is a duplicate of bug 1721315, so it is being marked as such. Please look at the other bug report to see if there is any missing information that you can provide, or to see if there is a workaround for the bug. Additionally, any further discussion regarding the bug should occur in the other report. Feel free to continue to report any other bugs you may find.

no longer affects: caribou (Ubuntu)
no longer affects: gnome-desktop (Ubuntu)
affects: ubuntu → gnome-shell (Ubuntu)
affects: gnome-desktop → gnome-shell
no longer affects: gnome-shell
Jeremy Bicha (jbicha) wrote :

tom and others, please stop un-duplicating this bug.

bug 1721315 is triaged and assigned to the people who are actually working on fixing this bug. It also was correctly attributed to the part of Ubuntu that needs to be fixed.

tom (tombuntus) wrote :

Jeremy, that's great. I marked the other bug as a duplicate, which it is. This is a better, more thorough, more correctly-worded bug. I agree that people can and should work on fixing a duplicate bug. That is a separate question from which bug should be marked duplicate. This bug is also correctly attributed to the part of Ubuntu that needs to be fixed (Not Ubuntu at all, but GNOME).

Daniel van Vugt (vanvugt) wrote :

All, you're not helping the situation by unmarking this as a duplicate.

The first report was bug 1721315. The correct developer was assigned to bug 1721315. And the correct upstream bug link was assigned to bug 1721315. And bug 1721315 is the only one correctly formatted already in such a way that a fix can be backported to 17.10 (SRU).

I've duplicated the upstream link in here now, but I think this bug should be closed as a duplicate of bug 1721315.

tom (tombuntus) wrote :

@Daniel, @Jeremy, explain yourselves explicitly and clearly.

There are no Ubuntu developers assigned to GNOME bugs. This is a GNOME bug. It has nothing to do with Ubuntu.

If you assigned the upstream bug link to this one, then leave this as the primary bug, and mark the other duplicate of this one. This bug's way hotter, way more thorough, and way more clearly described. We know this because it earned TONS more fire in much less time than the other bug.

tom (tombuntus) wrote :

Daniel, explain EXACTLY what negative stuff happens if this bug is unmarked as duplicate instead of claiming that it's "not helping the situation". Until you do, we can only assume that it's better for the community if THIS BUG is the main one, and the other is the duplicate. It gets more traffic and helps more people BECAUSE IT'S BETTER in the ways I described.

Jeremy, still waiting on an answer to my questions.

Changed in gnome-shell (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
description: updated
Jeremy Bicha (jbicha) wrote :

>There are no Ubuntu developers assigned to GNOME bugs. This is a GNOME bug. It has nothing to do with Ubuntu. It has nothing to do with Ubuntu.

How do you expect the fix to get into Ubuntu 17.10 without Ubuntu developers?

Somebody has to follow the https://wiki.ubuntu.com/StableReleaseUpdates procedure.

Anyway, we ended up letting this bug be the master bug, but please don't "edit war" in the future.

https://en.wikipedia.org/wiki/Wikipedia:Edit_warring

Andrea Azzarone (azzar1) wrote :

This is no my list for 18.04. I'm working on other thing right now, but I'll make sure this get fixed by 18.04.

tom (tombuntus) wrote :

I don't expect the fix to get into 17.10, with or without Ubuntu developers.

Related problems have been known in GNOME since 2015. Red Hat's Florian Mullner wrote patches a year ago for this issue, and Kerignar wrote a GNOME extension to disable caribou.

I expect the fix to eventually get into Ubuntu without any Ubuntu developers. I expect this to happen the same exact way that the problem got into Ubuntu in the first place. Remember, this problem didn't exist in 17.04 Ubuntu GNOME! Ubuntu 17.10 simply includes GNOME 3.26 with this bug. No Ubuntu developers tested GNOME 3.26 and protected Ubuntu from suffering this GNOME bug. Ubuntu will simply include 3.28 or some future edition of GNOME in the future, that will eventually include a correction to this bug, again WITHOUT Ubuntu developers.

Andrea Azzarone even said they won't work on it until 18.04.

Don't tell me not to "edit war". It takes at least 2 sides to have an edit war. You are not righteous or above edit warring. You are equally to blame for the edit war.

It is important to mark this bug as the master bug for the 3 clearly advantageous reasons I've repeated so many times.

Andrea Azzarone (azzar1) wrote :
Download full text (3.4 KiB)

On Mon, Oct 30, 2017 at 5:51 PM, tom <email address hidden> wrote:

> I don't expect the fix to get into 17.10, with or without Ubuntu
> developers.
>
> Related problems have been known in GNOME since 2015. Red Hat's Florian
> Mullner wrote patches a year ago for this issue, and Kerignar wrote a
> GNOME extension to disable caribou.
>
> I expect the fix to eventually get into Ubuntu without any Ubuntu
> developers. I expect this to happen the same exact way that the problem
> got into Ubuntu in the first place. Remember, this problem didn't exist
> in 17.04 Ubuntu GNOME! Ubuntu 17.10 simply includes GNOME 3.26 with this
> bug. No Ubuntu developers tested GNOME 3.26 and protected Ubuntu from
> suffering this GNOME bug. Ubuntu will simply include 3.28 or some future
> edition of GNOME in the future, that will eventually include a
> correction to this bug, again WITHOUT Ubuntu developers.
>

This is actually wrong. Since the switch to Gnome Shell we are actively
working with
upstream to report and fix bugs (just check the Changelogs and you'll see
that I'm right).

>
> Andrea Azzarone even said they won't work on it until 18.04.
>

This does mean that I'll start working on this on April '18. I consider
this a major issues and I'll work
on this as soon as I'll finish to work on some other priorties. This does
not mean that I'll not SRU (backport)
the fix to 17.10. This is just the way Ubuntu development works.

>
> Don't tell me not to "edit war". It takes at least 2 sides to have an
> edit war. You are not righteous or above edit warring. You are equally
> to blame for the edit war.
>
> It is important to mark this bug as the master bug for the 3 clearly
> advantageous reasons I've repeated so many times.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1723857
>
> Title:
> onscreen keyboard appears whenever i touch touchscreen
>
> Status in GNOME Shell:
> Unknown
> Status in gnome-shell package in Ubuntu:
> Confirmed
>
> Bug description:
> Impact
> ======
> I'm in 17.10. Whenever I touch the touchscreen, the keyboard appears. It
> is disabled in System Preferences > Universal Access. This didn't happen
> in any previous Ubuntus, including 17.04 GNOME, nor in Fedora, which is
> GNOME based.
>
> Test Case
> =========
> 0. Find a laptop with a touch screen that works.
> 1. Settings > Universal Access > Typing > Screen Keyboard = OFF
> 2. Touch the screen.
>
> Regression Potential
> ====================
>
> Workaround
> ==========
> https://extensions.gnome.org/extension/1326/block-caribou/
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-shell/+bug/1723857/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: product=gnome-shell; status=Unknown; importance=Unknown;
> assignee=None;
> Launchpad-Bug: distribution=ubuntu; sourcepackage=gnome-shell;
> component=main; status=Confirmed; importance=Undecided; assignee=
> <email address hidden>;
> Launchpad-Bug-Tags: caribou onscreen-keyboard
> Launchpad-Bug-Information-Type: Public
> Launchpad-Bug-Private: no
> Launchpad-Bug-Security-Vulnerabilit...

Read more...

Andrea Azzarone (azzar1) wrote :
Download full text (3.6 KiB)

On Mon, Oct 30, 2017 at 6:11 PM, Andrea Azzarone <
<email address hidden>> wrote:

>
>
> On Mon, Oct 30, 2017 at 5:51 PM, tom <email address hidden> wrote:
>
>> I don't expect the fix to get into 17.10, with or without Ubuntu
>> developers.
>>
>> Related problems have been known in GNOME since 2015. Red Hat's Florian
>> Mullner wrote patches a year ago for this issue, and Kerignar wrote a
>> GNOME extension to disable caribou.
>>
>> I expect the fix to eventually get into Ubuntu without any Ubuntu
>> developers. I expect this to happen the same exact way that the problem
>> got into Ubuntu in the first place. Remember, this problem didn't exist
>> in 17.04 Ubuntu GNOME! Ubuntu 17.10 simply includes GNOME 3.26 with this
>> bug. No Ubuntu developers tested GNOME 3.26 and protected Ubuntu from
>> suffering this GNOME bug. Ubuntu will simply include 3.28 or some future
>> edition of GNOME in the future, that will eventually include a
>> correction to this bug, again WITHOUT Ubuntu developers.
>>
>
> This is actually wrong. Since the switch to Gnome Shell we are actively
> working with
> upstream to report and fix bugs (just check the Changelogs and you'll see
> that I'm right).
>
>
>>
>> Andrea Azzarone even said they won't work on it until 18.04.
>>
>
> This does mean that I'll start working on this on April '18. I consider
> this a major issues and I'll work
>

*does not mean

> on this as soon as I'll finish to work on some other priorties. This does
> not mean that I'll not SRU (backport)
> the fix to 17.10. This is just the way Ubuntu development works.
>
>
>>
>> Don't tell me not to "edit war". It takes at least 2 sides to have an
>> edit war. You are not righteous or above edit warring. You are equally
>> to blame for the edit war.
>>
>> It is important to mark this bug as the master bug for the 3 clearly
>> advantageous reasons I've repeated so many times.
>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/1723857
>>
>> Title:
>> onscreen keyboard appears whenever i touch touchscreen
>>
>> Status in GNOME Shell:
>> Unknown
>> Status in gnome-shell package in Ubuntu:
>> Confirmed
>>
>> Bug description:
>> Impact
>> ======
>> I'm in 17.10. Whenever I touch the touchscreen, the keyboard appears.
>> It is disabled in System Preferences > Universal Access. This didn't
>> happen in any previous Ubuntus, including 17.04 GNOME, nor in Fedora, which
>> is GNOME based.
>>
>> Test Case
>> =========
>> 0. Find a laptop with a touch screen that works.
>> 1. Settings > Universal Access > Typing > Screen Keyboard = OFF
>> 2. Touch the screen.
>>
>> Regression Potential
>> ====================
>>
>> Workaround
>> ==========
>> https://extensions.gnome.org/extension/1326/block-caribou/
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/gnome-shell/+bug/1723857/+subscriptions
>>
>> Launchpad-Notification-Type: bug
>> Launchpad-Bug: product=gnome-shell; status=Unknown; importance=Unknown;
>> assignee=None;
>> Launchpad-Bug: distribution=ubuntu; sourcepackage=gnome-shell;
>> component=main; status=Confirmed; importance...

Read more...

Jeremy Bicha (jbicha) wrote :

> (rant about Ubuntu development)

I think there is a good chance that this bug will be fixed in a Stable Release Update for Ubuntu 17.10. I've personally done dozens of stable release updates for Ubuntu to fix bugs (mostly in GNOME) this year. Once an Ubuntu stable release happens, it is the responsibility of Ubuntu developers to get bug fixes into the release, not GNOME.

And it's not GNOME that packages GNOME for Ubuntu anyway. It is Ubuntu (and Debian) developers who do all of that!

> You are equally to blame for the edit war.

I reverted twice and stopped. You reverted 4 times.

It feels like you are a bit confused on how Ubuntu development works. That's fine ­– I'm still learning new stuff about it! But I think here your confusion has caused a bit of excessive conflict here. I recommend trying to work together more next time.

Changed in gnome-shell (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Changed in gnome-shell (Ubuntu Artful):
importance: Undecided → High
status: New → Triaged
tom (tombuntus) wrote :

Awesome. It'd be great if this bug is fixed in an SRU for 17.10. I'm just answering your question because I don't EXPECT that.

You asked, "How do you expect the fix to get into Ubuntu 17.10 without Ubuntu developers?"

"And it's not GNOME that packages GNOME for Ubuntu anyway. It is Ubuntu (and Debian) developers who do all of that!"

And that packaging process is what got us into this mess. Another reason I don't expect this process to get us out of this during 17.10.

> Andrea Azzarone even said they won't work on it until 18.04.

> This does mean that I'll start working on this on April '18.

Yeah -- obviously. 18.04 != April '18.

I didn't say you *would* start working on this on[sic] April '18.

I said you won't work on it until "18.04", which is an Ubuntu release, not a month.

Why would you assume that I don't understand that? I didn't write "April '18". I wrote 18.04. On Ubuntu launchpad, the context in which we're having this conversation, that pretty obviously means Ubuntu's 18.04 release, not "April '18". Don't correct me on things that aren't wrong.

Changed in gnome-shell:
importance: Unknown → Medium
status: Unknown → Confirmed
Stuart Gillies (gillies) wrote :

It's a simple problem. Fix it please otherwise I will have to go back to 17.04

It pops up every time I type in this box, and obscures the box.

Also, while you guys are in the process of figuring out when and how to fix this [stupid] regression, add a fix for keeping caribou onto the display that is actually the touch screen if possible?

When a secondary monitor is plugged in, and regardless of the displays positioning, caribou jumps to wherever it desires...

See attached image.

tom (tombuntus) wrote :

LOL, caribou-being-a-dick.jpg

PJSingh5000 (pjsingh5000) wrote :

Do we know what the desired behavior requirements are?

I'm thinking something like...

1. User taps screen
2. Check if event is in an editable text area
3. If yes, display caribou in half* of the screen where tap did ~not~ occur
4. If no, do not display caribou
5. If caribou is not displayed, sliding up from the bottom of the screen should always be available in order to activate the on-screen keyboard.

(* Perhaps this could actually be changed to: display caribou in the quadrant of the screen diagonal to where the tap occurred. But you have to take screen size into account, so for smaller screens, the half screen rule above may need to be used).

Emile Victor (w32stuxnet) wrote :

I would settle for having it be disable-able at all times. There is no reason why it should default to on for a device with a physical keyboard.

The desired behaviour would be:

1. Detect if there is a physical keyboard
1a. If there is a physical keyboard, on-screen keyboard defaults to hidden at all times
1b. If there isn't, default it to shown.

Andrea Azzarone (azzar1) wrote :

My plan (if upstream agrees with me) is to add an enum option that will
havethe the following possible values:
- auto, we'll not show the osk if a physical keyboard was detected
- always, always show the keyboard when a text-entry was touched
- never, don't show the keyboard in any casen

Anyway I'm planning to start working in January.

On Tue, Dec 5, 2017 at 3:10 PM, Emile Victor <email address hidden>
wrote:

> I would settle for having it be disable-able at all times. There is no
> reason why it should default to on for a device with a physical
> keyboard.
>
> The desired behaviour would be:
>
> 1. Detect if there is a physical keyboard
> 1a. If there is a physical keyboard, on-screen keyboard defaults to hidden
> at all times
> 1b. If there isn't, default it to shown.
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1723857
>
> Title:
> onscreen keyboard appears whenever i touch touchscreen
>
> Status in GNOME Shell:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> Triaged
> Status in gnome-shell source package in Artful:
> Triaged
>
> Bug description:
> Impact
> ======
> I'm in 17.10. Whenever I touch the touchscreen, the keyboard appears. It
> is disabled in System Preferences > Universal Access. This didn't happen
> in any previous Ubuntus, including 17.04 GNOME, nor in Fedora, which is
> GNOME based.
>
> Test Case
> =========
> 0. Find a laptop with a touch screen that works.
> 1. Settings > Universal Access > Typing > Screen Keyboard = OFF
> 2. Touch the screen.
>
> Regression Potential
> ====================
>
> Workaround
> ==========
> https://extensions.gnome.org/extension/1326/block-caribou/
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-shell/+bug/1723857/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: product=gnome-shell; status=Confirmed; importance=Medium;
> assignee=None;
> Launchpad-Bug: distribution=ubuntu; sourcepackage=gnome-shell;
> component=main; status=Triaged; importance=High; assignee=andrea.azzarone@
> canonical.com;
> Launchpad-Bug: distribution=ubuntu; distroseries=artful;
> sourcepackage=gnome-shell; component=main; status=Triaged; importance=High;
> assignee=None;
> Launchpad-Bug-Tags: caribou onscreen-keyboard
> Launchpad-Bug-Information-Type: Public
> Launchpad-Bug-Private: no
> Launchpad-Bug-Security-Vulnerability: no
> Launchpad-Bug-Commenters: 0atman asnod azzar1 electrosam gillies janitor
> jbicha nathanel.titane nick-fellows payneio pjsingh5000 tombuntus vanvugt
> w32stuxnet
> Launchpad-Bug-Reporter: tom (tombuntus)
> Launchpad-Bug-Modifier: Emile Victor (w32stuxnet)
> Launchpad-Message-Rationale: Assignee
> Launchpad-Message-For: azzar1
>

Andrea Azzarone (azzar1) wrote :

*working on this in January

On Tue, Dec 5, 2017 at 6:49 PM, Andrea Azzarone <
<email address hidden>> wrote:

> My plan (if upstream agrees with me) is to add an enum option that will
> havethe the following possible values:
> - auto, we'll not show the osk if a physical keyboard was detected
> - always, always show the keyboard when a text-entry was touched
> - never, don't show the keyboard in any casen
>
> Anyway I'm planning to start working in January.
>
> On Tue, Dec 5, 2017 at 3:10 PM, Emile Victor <email address hidden>
> wrote:
>
>> I would settle for having it be disable-able at all times. There is no
>> reason why it should default to on for a device with a physical
>> keyboard.
>>
>> The desired behaviour would be:
>>
>> 1. Detect if there is a physical keyboard
>> 1a. If there is a physical keyboard, on-screen keyboard defaults to
>> hidden at all times
>> 1b. If there isn't, default it to shown.
>>
>> --
>> You received this bug notification because you are a bug assignee.
>> https://bugs.launchpad.net/bugs/1723857
>>
>> Title:
>> onscreen keyboard appears whenever i touch touchscreen
>>
>> Status in GNOME Shell:
>> Confirmed
>> Status in gnome-shell package in Ubuntu:
>> Triaged
>> Status in gnome-shell source package in Artful:
>> Triaged
>>
>> Bug description:
>> Impact
>> ======
>> I'm in 17.10. Whenever I touch the touchscreen, the keyboard appears.
>> It is disabled in System Preferences > Universal Access. This didn't
>> happen in any previous Ubuntus, including 17.04 GNOME, nor in Fedora, which
>> is GNOME based.
>>
>> Test Case
>> =========
>> 0. Find a laptop with a touch screen that works.
>> 1. Settings > Universal Access > Typing > Screen Keyboard = OFF
>> 2. Touch the screen.
>>
>> Regression Potential
>> ====================
>>
>> Workaround
>> ==========
>> https://extensions.gnome.org/extension/1326/block-caribou/
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/gnome-shell/+bug/1723857/+subscriptions
>>
>> Launchpad-Notification-Type: bug
>> Launchpad-Bug: product=gnome-shell; status=Confirmed; importance=Medium;
>> assignee=None;
>> Launchpad-Bug: distribution=ubuntu; sourcepackage=gnome-shell;
>> component=main; status=Triaged; importance=High; assignee=
>> <email address hidden>;
>> Launchpad-Bug: distribution=ubuntu; distroseries=artful;
>> sourcepackage=gnome-shell; component=main; status=Triaged; importance=High;
>> assignee=None;
>> Launchpad-Bug-Tags: caribou onscreen-keyboard
>> Launchpad-Bug-Information-Type: Public
>> Launchpad-Bug-Private: no
>> Launchpad-Bug-Security-Vulnerability: no
>> Launchpad-Bug-Commenters: 0atman asnod azzar1 electrosam gillies janitor
>> jbicha nathanel.titane nick-fellows payneio pjsingh5000 tombuntus vanvugt
>> w32stuxnet
>> Launchpad-Bug-Reporter: tom (tombuntus)
>> Launchpad-Bug-Modifier: Emile Victor (w32stuxnet)
>> Launchpad-Message-Rationale: Assignee
>> Launchpad-Message-For: azzar1
>>
>
>

This is affecting me as well on a thinkpad x1 carbon running pop os (ubuntu 17.10 derivative).

Jens Forker (jens-forkers) wrote :

Hello,
having the same problem on a Lenovo IdeaPad/Yoga 2 13 (with touch screen): ubuntu 17.10 fresh install, the on screen keyboard (osk) always pops up. But ALWAYS in conjunction with the cursor being found in the lower left corner.
On the same laptop running Ubuntu 16.04.3 and 17.04 (running Unity) I had the nasty problem that always the trash bin opened (because the cursor jumped to the lower left corner - where the trash bin is located - and clicked) independent on what I was doing. That made the laptop unusable (running fine under Win 8, hence no hardware defect).
Now with 17.10 (Gnome) the trash bin is no longer in the lower left corner. But my feel is that the cursor is still jumping (and clicking) to the lower left, thereby 'calling' the osk. Again this happens that frequently that the laptop is unusable :-( really nasty.
Universal Access settings: osk = off (if I enable osk, then the desktop freezes!!).
The fix of Keringar prevents the osk from popping up - but the cursor still continues to jump to the lower left corner.... :-(.

doniks (kaabud-lp) wrote :

Jumping cursor sounds like a separate issue

Jens Forker (jens-forkers) wrote :

update to my entry #47:
installed ubuntu 18.04 daily build from Dec 11, 2017 on the Lenovo IdeaPad/Yoga 2 13 with touch screen. For one day everything went fine except one single appearance of the on screen keyboard (osk). On the second day the osk got crazy, appearing that frequently that working with the mouse or touch screen was practically impossible. But the cursor didn't jump (to lower left corner) as it did with 17.04 and 17.10.
The osk sometimes flickered really fast giving the impression of being turned on/off at least 10x/second - without me touching anything on the laptop!
Then I applied the fix provided by https://askubuntu.com/users/750621/keringar (Thank you!!) and now I can use the laptop again.
Testing continues....

Jens Forker (jens-forkers) wrote :

update to #49
even after installing 18.04 updates on Jan 2nd the following feature persists: a few times a week the cursor goes nuts - it looks like it's jumping to the lower left corner (gnome desktop), clicking, and thereby calling the program tiles onto the screen. Then clicking again making the tiles disappear, clicking again calling the tiles,..... sometimes with quite a high frequency, turning the laptop pretty much useless when it's "trapped" in this state. Whatever you try it's always calling the tiles :-(
This happens even if I'm not touching the notebook at all!!
I couldn't find anything to influence this behavior. Even after rebooting it continues! But at some random point in time the jumping stops and the notebook can be used as before and works like a charm - until the jumping starts again.

Because I used the fix from @keringar (see above) the on screen keyboard is not coming any more. But for me it looks that the root cause of the osk popping up is the cursor jump/click.

Daniel van Vugt (vanvugt) wrote :

Thanks all for your input. Remember in comment #45 Andrea said he would start working on a fix for this in January. It is now January. So wait and see...

Fadi Racy (mo-mashi) wrote :

@Andrea Azzar, would it be in the realm of the possible to implement an option in caribou/gnome-shell where the people who still want to use it, can turn off the auto popup feature (the one where caribou pops up whenever an editable area is selected). Leave it to us to swipe the bottom of the screen to bring it up?

If you implement this function, I think 3/4 of the people wanting to disable OSK will no longer have an issue with it as currently, it pops up at the slightest provocation and I think that's annoying alot of people.

Changed in gnome-shell:
status: Confirmed → Fix Released
Sebastien Bacher (seb128) wrote :

upstream landed fixes for the issue

Changed in gnome-shell (Ubuntu):
assignee: Andrea Azzarone (azzar1) → nobody
status: Triaged → Fix Committed
Changed in gnome-shell:
status: Fix Released → Confirmed
Changed in gnome-shell:
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.27.91-0ubuntu1

---------------
gnome-shell (3.27.91-0ubuntu1) bionic; urgency=medium

  [ Didier Roche ]
  * New upstream version (LP: #1751070, LP: #1722725,
    LP: #1714989, LP: #1724557, LP: #1723857, LP: #1744970):
    - debian/patches/70_allow_sound_above_100.patch,
      debian/patches/ubuntu-lightdm-user-switching.patch patches
      refreshed for new release. Removed ': function()' syntax as
      upstreamed removed them in those context.
    - debian/patches/ubuntu_panel_center_date_workarea.patch removed as
      upstreamed now.
    - debian/control.in, debian/rules:
      bump deps, add sassc and libnm-dev which is now required.
      drop caribou dep, as the OSK is now built-in.
    - debian/rules:
      use now with renamed build options.
  * debian/ubuntu-session-mods/ubuntu.css, debian/rules:
    - adapt to new GNOME Shell theme including OSK.
    - color shift keys in orange in OSK and use differente svg.
  * debian/rules:
    - some duplication removal.
  * debian/patches/27-nm-libexec-path.patch,
    debian/patches/71_smarter_alt_tab.patch,
    debian/patches/fix-wayland-vbox-crash.patch,
    debian/patches/optional-hot-corner.patch,
    debian/patches/ubuntu_block_mode_extension_update.patch,
    debian/patches/ubuntu_gdm.patch,
    debian/patches/ubuntu_lock_on_suspend.patch:
    - unfuzzed
  * Cherry-pick git_ea0770ae22a6c34797db4343cf7d2f59bb8d68f6.patch:
    - upstream mutter API bump.
  * debian/gnome-shell-common.install, debian/rules:
    - the .css files aren't shipped anymore, so copy from the built version.

  [ Jeremy Bicha ]
  * Update NetworkManager dependencies

 -- Didier Roche <email address hidden> Fri, 02 Mar 2018 10:04:06 +0100

Changed in gnome-shell (Ubuntu):
status: Fix Committed → Fix Released
Iago Rosa (iagorosa) on 2018-03-15
Changed in gnome-shell (Ubuntu):
assignee: nobody → Iago Rosa (iagorosa)
Changed in gnome-shell (Ubuntu):
assignee: Iago Rosa (iagorosa) → nobody

I'm experiencing still this issue on my Dell XPS 15 9550 with updated software and Ubuntu 18.04.1:

$ dpkg -l |grep " gnome-shell "
ii gnome-shell 3.28.2-0ubuntu0.18.04.1 amd64 graphical shell for the GNOME desktop

Maybe I'm testing something wrong?

Daniel van Vugt (vanvugt) wrote :

Cruz, since this bug is declared as fixed in 18.04 it's probably best to open a new bug by running:

  ubuntu-bug gnome-shell

tom (tombuntus) wrote :

It's mostly fixed. Occasionally, a bunch of button or gesture spazzes can bring up Caribou, but in general, it's fixed. I couldn't reproduce the flukey times where Caribou pops up. When I just touch the touchscreen, Caribou doesn't pop up anymore.

doniks (kaabud-lp) wrote :

wohoo. thanks!

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.